import java.util.Scanner;

public class Frilenseri {
    public static void main(String[] args) {

        Scanner sc = new Scanner(System.in);
        int N = sc.nextInt();
        if (N > 0 && N <= Math.pow(10, 5)) {
            double[] zarade = new double[N];
            double[] procenti = new double[N];

            for (int i = 0; i < N; i++) {
                double zarada = sc.nextDouble();
                if (zarada > 0 && zarada < +Math.pow(10, 6)) {
                    zarade[i] = zarada;
                }
                double procenat = sc.nextDouble();
                if (procenat >= 0 && procenat <= 100) {
                    procenti[i] = procenat;
                }
            }


            double najboljiProcenat = 0;

            double trenutnaZarada = 0;
            double najboljaZarada = 0;

            for (int i = 0; i < N; i++) {
                for (int j = 0; j < N; j++) {
                    if (procenti[j] >= procenti[i]) {
                        trenutnaZarada += zarade[j] * procenti[i] / 100;

                    }
                }
                if (trenutnaZarada > najboljaZarada) {
                    najboljiProcenat = procenti[i];
                    najboljaZarada = trenutnaZarada;
                }
                trenutnaZarada = 0;
            }
            System.out.println(najboljiProcenat);
        }

    }
}